module Tests

import TAP
import Tests.Reduce
import Tests.Equal
import Tests.Typechecker
import System


allTests : List Test
allTests = [
  Reduce.tests,
  Equal.tests,
  Typechecker.tests
]

main : IO ()
main = TAP.main !(getTestOpts "quox test suite") ["all" :- allTests]
